Bug 18625 - Can't get remote file size.
Can't get remote file size.
Product: Red Hat Powertools
Classification: Retired
Component: libsafe (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-08 01:50 EDT by William F. Acker
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-31 11:22:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William F. Acker 2000-10-08 01:50:05 EDT
When l"ls -l" is entered while connect to a remote site, the file size shown is always zero.  Also, when trying to retrieve a file that also exists on the local machine, remote file size unknown is reported.
Comment 1 Daniel Roesen 2000-10-08 16:36:13 EDT
Can't reproduce this here.
Comment 2 Bernhard Rosenkraenzer 2000-10-09 05:59:02 EDT
I can't reproduce it either - it's probably a problem on the server side.
Which server are you trying to access?
Comment 3 William F. Acker 2000-10-10 20:01:20 EDT
Turns out to be an interaction with libsafe installed from the 7.0 PowerTools.  I have no idea which application has the bug.  Removing Libsafe fixed the problem for me.
Comment 4 Bernhard Rosenkraenzer 2000-10-12 09:01:52 EDT
Reassigning to libsafe
Comment 5 Tim Powers 2000-10-15 19:27:23 EDT
In order to try and see if this is in fact a libsafe issue, I need to know how
you have it configured. I can't seem to reproduce it here with either having an
entry in ld.so.preload or just by setting $LD_PRELOAD. Perhaps some more info on
the type of connection to a remote site and which application you are using
would help. So far I have tried using ncftp to ftp.ibiblio.org using ncftp, and
also nfs mounted dirs and can't reproduce the file size problem.

Comment 6 Tim Powers 2000-10-15 19:29:40 EDT
One more thing, the system I am tesing on has all the current updates using
up2date. Have you made sure that you have all the relevant updates for your

Comment 7 Tim Powers 2000-10-31 11:22:14 EST
I am closing this to not a bug since there hasn't been any response to my last
mail two weeks ago. Please reopen it if you are still having problems and
provide more info.


Note You need to log in before you can comment on or make changes to this bug.